#!/bin/sh

# Script creates a new database. An exist old database will be overwritten.
# $1: RRD Index (0..n)
#
# Run with N=0, 1, or 2:
# /usr/bin/rrd/rrd-create.sh N

if [ ! -f /usr/local/etc/rrd/$1.conf ]
then
	echo "No configfile for $1" >&2
	exit 1
fi

. /usr/local/etc/rrd/rrd.conf
. /usr/local/etc/rrd/$1.conf

if [ "$RRD_RRA0_STEPS" != "0" ]
then
	RRA_LINE="RRA:AVERAGE:$RRD_RRA0_XFF:$RRD_RRA0_STEPS:$RRD_RRA0_ROWS"
fi

# Workarrount for ash, eval vars in vars dosn't work: ${RRD_RRA${RRA_COUNTS}_ROWS}
# build the line up to 3 counts
if [ $RRA_COUNTS -gt 1 ]
then
	RRA_LINE="$RRA_LINE RRA:AVERAGE:$RRD_RRA1_XFF:$RRD_RRA1_STEPS:$RRD_RRA1_ROWS"
	if [ $RRA_COUNTS -gt 2 ]
	then
		RRA_LINE="$RRA_LINE RRA:AVERAGE:$RRD_RRA2_XFF:$RRD_RRA2_STEPS:$RRD_RRA2_ROWS"
		if [ $RRA_COUNTS -gt 3 ]
		then
			RRA_LINE="$RRA_LINE RRA:AVERAGE:$RRD_RRA3_XFF:$RRD_RRA3_STEPS:$RRD_RRA3_ROWS"
			if [ $RRA_COUNTS -gt 4 ]
			then

				RRA_LINE="$RRA_LINE RRA:AVERAGE:$RRD_RRA4_XFF:$RRD_RRA4_STEPS:$RRD_RRA4_ROWS"
				if [ $RRA_COUNTS -gt 5 ]
				then

					logger -s -t rrd-create.sh "RRA_COUNTS: Bug"
					exit 1
				fi
			fi
		fi
	fi
fi

mkdir -p $RRD_DATA
rm -f $RRDFILE
rrdtool create $RRD_FILE \
	--step $RRD_STEP \
	DS:$RRD_NAME:$RRD_DST:$RRD_HEARTBEAT:0:4294967295 \
	$RRA_LINE

# Finaly copy into working directory
cp $RRD_FILE /tmp/mbus/
